Help needed updating java/eclipse to 4.11

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Help needed updating java/eclipse to 4.11

Jonathan Chen
Hi,

With the impending demise of java/eclipse 4.6 due to webkit-gtk2
deprecation, I've been attempting to update the port to
eclipse-4.11.RC2. Progress has been good, and I've managed to produce
an executable from the build. Unfortunately, while I get a
splashscreen displayed, the application currently dies with:

java.lang.UnsatisfiedLinkError: org.eclipse.swt.internal.C.memmove(I[II)V
    at org.eclipse.swt.internal.C.memmove(Native Method)
    at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:68)
    at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:209)
    at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:155)
    at org.eclipse.swt.widgets.Display.<clinit>(Display.java:159)
    at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:749)
    at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:162)
    at org.eclipse.ui.internal.ide.application.IDEApplication.createDisplay(IDEApplication.java:185)
    at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:128)
    at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:203)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:498)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:661)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:597)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1476)
    at org.eclipse.equinox.launcher.Main.main(Main.java:1449)

There's some issue with JNI bindings that I just don't understand, and
I'm hoping that some on the list (java@ or eclipse@) may be willing to
give me a hand. Please drop me a line if you're interested in helping
me bring java/eclipse up to date on FreeBSD.

Thanks!
--
Jonathan Chen <[hidden email]>
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-eclipse
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: Help needed updating java/eclipse to 4.11

Michael Zhilin
Hi Jonathan,

Thank you for your effort!

Did you manage to try tycho patch?
I'm also adding freebsd-specific parts into eclipse and I see GTK4
bindings. I wonder if anyone has tried GTK4 on FreeBSD.

Thanks!

On Sat, Mar 16, 2019 at 6:58 PM Ronald Klop <[hidden email]> wrote:

> Hi,
>
> Great work already. I can't help much, but by googling on
> 'UnsatisfiedLinkError: org.eclipse.swt.internal.C.memmove(' found similar
> issues:
>
> An old bug report with a recent hopeful (but not complete) reaction:
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=488641
>
> Mentions of this (or similar) error occurring with 32/64 bits mismatches
> between different peaces of the code.
> https://www.eclipse.org/swt/faq.php
> https://www.eclipse.org/lists/platform-swt-dev/msg03851.html
>
> I hope it helps.
>
> Regards,
> Ronald.
>
>
> On Sat, 16 Mar 2019 08:19:36 +0100, Jonathan Chen <[hidden email]>
> wrote:
>
> > Hi,
> >
> > With the impending demise of java/eclipse 4.6 due to webkit-gtk2
> > deprecation, I've been attempting to update the port to
> > eclipse-4.11.RC2. Progress has been good, and I've managed to produce
> > an executable from the build. Unfortunately, while I get a
> > splashscreen displayed, the application currently dies with:
> >
> > java.lang.UnsatisfiedLinkError: org.eclipse.swt.internal.C.memmove(I[II)V
> >     at org.eclipse.swt.internal.C.memmove(Native Method)
> >     at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:68)
> >     at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:209)
> >     at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:155)
> >     at org.eclipse.swt.widgets.Display.<clinit>(Display.java:159)
> >     at
> > org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:749)
> >     at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:162)
> >     at
> >
> org.eclipse.ui.internal.ide.application.IDEApplication.createDisplay(IDEApplication.java:185)
> >     at
> >
> org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:128)
> >     at
> >
> org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:203)
> >     at
> >
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
> >     at
> >
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
> >     at
> >
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
> >     at
> >
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
> >     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> >     at
> >
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
> >     at
> >
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
> >     at java.lang.reflect.Method.invoke(Method.java:498)
> >     at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:661)
> >     at org.eclipse.equinox.launcher.Main.basicRun(Main.java:597)
> >     at org.eclipse.equinox.launcher.Main.run(Main.java:1476)
> >     at org.eclipse.equinox.launcher.Main.main(Main.java:1449)
> >
> > There's some issue with JNI bindings that I just don't understand, and
> > I'm hoping that some on the list (java@ or eclipse@) may be willing to
> > give me a hand. Please drop me a line if you're interested in helping
> > me bring java/eclipse up to date on FreeBSD.
> >
> > Thanks!
> _______________________________________________
> [hidden email] mailing list
> https://lists.freebsd.org/mailman/listinfo/freebsd-java
> To unsubscribe, send any mail to "[hidden email]"
>
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-eclipse
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: Help needed updating java/eclipse to 4.11

Jonathan Chen
On Mon, 18 Mar 2019 at 02:04, Michael Zhilin <[hidden email]> wrote:
>
> Hi Jonathan,
>
> Thank you for your effort!
>
> Did you manage to try tycho patch?

I had a look, and that piece of code doesn't appear in the source tree
for the IDE build. I suspect it may be further upstream than the
sources required for the Eclipse build.

Incidentally, for all other casual readers in the thread, the current
effort can be found at:
  https://github.com/daemonblade/freebsd-eclipse

Cheers.
--
Jonathan Chen <[hidden email]>
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-eclipse
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: Help needed updating java/eclipse to 4.11

Michael Zhilin
Thanks, Jonathan!

I suppose we should ask ports team for delay (2-3 weeks?) to avoid removal
of eclipse from ports. As of now expiration date is 24th of March:
https://www.freshports.org/java/eclipse

BR,
 Michael.

On Mon, Mar 18, 2019 at 3:17 AM Jonathan Chen <[hidden email]> wrote:

> On Mon, 18 Mar 2019 at 02:04, Michael Zhilin <[hidden email]> wrote:
> >
> > Hi Jonathan,
> >
> > Thank you for your effort!
> >
> > Did you manage to try tycho patch?
>
> I had a look, and that piece of code doesn't appear in the source tree
> for the IDE build. I suspect it may be further upstream than the
> sources required for the Eclipse build.
>
> Incidentally, for all other casual readers in the thread, the current
> effort can be found at:
>   https://github.com/daemonblade/freebsd-eclipse
>
> Cheers.
> --
> Jonathan Chen <[hidden email]>
>
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-eclipse
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: Help needed updating java/eclipse to 4.11

Mark Linimon-2
On Thu, Mar 21, 2019 at 06:26:13AM +0000, Mark Linimon wrote:
> I've just committed an update to expire it at the end of March

s/March/April/

mcl
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-eclipse
To unsubscribe, send any mail to "[hidden email]"